netatalk: sl_localsearch.c File Reference

netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
sl_localsearch.c File Reference
`#include <stdbool.h>`
`#include <stdint.h>`
`#include <string.h>`
`#include <sys/stat.h>`
`#include <unistd.h>`
`#include <glib.h>`
`#include <talloc.h>`
`#include <tinysparql.h>`
`#include <atalk/cnid.h>`
`#include <atalk/errchk.h>`
`#include <atalk/globals.h>`
`#include <atalk/iniparser_util.h>`
`#include <atalk/logger.h>`
`#include <atalk/netatalk_conf.h>`
`#include <atalk/spotlight.h>`
`#include <atalk/util.h>`
`#include <atalk/volume.h>`
`#include "etc/spotlight/localsearch/sparql_parser.h"`
`#include "etc/spotlight/spotlight_private.h"`

## Data Structures
struct | sl_ctx
struct | sl_localsearch_query

## Macros
#define | MAX_SL_RESULTS 20

## Functions
static int | cnid_comp_fn (const void *p1, const void *p2)
static char * | tracker_to_unix_path (TALLOC_CTX *mem_ctx, const char *uri)
static void | tracker_cursor_cb (GObject *object, GAsyncResult *res, gpointer user_data)
static void | tracker_query_cb (GObject *object, GAsyncResult *res, gpointer user_data)
static int | sl_localsearch_init (AFPObj *obj)
static void | sl_localsearch_close (AFPObj *obj)
static int | sl_localsearch_open_query (slq_t *slq)
static int | sl_localsearch_fetch_results (slq_t *slq)
static void | sl_localsearch_close_query (slq_t *slq)

## Variables
const sl_backend_ops | sl_localsearch_ops

## Macro Definition Documentation

## ◆ MAX_SL_RESULTS

#define MAX_SL_RESULTS 20

## Function Documentation

## ◆ cnid_comp_fn()

int cnid_comp_fn | ( | const void * | p1,
|  | const void * | p2 )
| static

## ◆ sl_localsearch_close()

void sl_localsearch_close | ( | AFPObj * | obj | ) |
| static

## ◆ sl_localsearch_close_query()

void sl_localsearch_close_query | ( | slq_t * | slq | ) |
| static

## ◆ sl_localsearch_fetch_results()

int sl_localsearch_fetch_results | ( | slq_t * | slq | ) |
| static

## ◆ sl_localsearch_init()

int sl_localsearch_init | ( | AFPObj * | obj | ) |
| static

## ◆ sl_localsearch_open_query()

int sl_localsearch_open_query | ( | slq_t * | slq | ) |
| static

## ◆ tracker_cursor_cb()

void tracker_cursor_cb | ( | GObject * | object,
|  | GAsyncResult * | res,
|  | gpointer | user_data )
| static

## ◆ tracker_query_cb()

void tracker_query_cb | ( | GObject * | object,
|  | GAsyncResult * | res,
|  | gpointer | user_data )
| static

## ◆ tracker_to_unix_path()

char * tracker_to_unix_path | ( | TALLOC_CTX * | mem_ctx,
|  | const char * | uri )
| static

## Variable Documentation

## ◆ sl_localsearch_ops

const sl_backend_ops sl_localsearch_ops

Initial value:
= {
.sbo_name = "localsearch",
.sbo_init = sl_localsearch_init,
.sbo_close = sl_localsearch_close,
.sbo_open_query = sl_localsearch_open_query,
.sbo_fetch_results = sl_localsearch_fetch_results,
.sbo_close_query = sl_localsearch_close_query,
}
sl_localsearch_init
static int sl_localsearch_init(AFPObj *obj)
Definition sl_localsearch.c:275
sl_localsearch_close
static void sl_localsearch_close(AFPObj *obj)
Definition sl_localsearch.c:322
sl_localsearch_close_query
static void sl_localsearch_close_query(slq_t *slq)
Definition sl_localsearch.c:417
sl_localsearch_fetch_results
static int sl_localsearch_fetch_results(slq_t *slq)
Definition sl_localsearch.c:384
sl_localsearch_open_query
static int sl_localsearch_open_query(slq_t *slq)
Definition sl_localsearch.c:327